//
//  View.m
//  Client
//
//  Created by NYU User on 11/10/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "View.h"


@implementation View


- (id) initWithFrame: (CGRect) frame {
	if ((self = [super initWithFrame: frame]) != nil) {
		// Initialization code
		self.backgroundColor = [UIColor whiteColor];
		
		//randomly selected image
		url = [NSURL URLWithString:
			@"http://i5.nyu.edu/cgi-bin/cgiwrap/mm64/imageserver"];
		[url retain];
	}
	return self;
}

- (void) touchesBegan: (NSSet *) touches withEvent: (UIEvent *) event {
	[self setNeedsDisplay];
}

// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void) drawRect: (CGRect) rect {
	// Drawing code
	
	//Download the image data.
	NSError *error = nil;
	NSData *data = [NSData dataWithContentsOfURL: url
		options: 0
		error: &error
	];
	if (data == nil) {
		NSLog(@"error: %@", error);
		return;
	}
	
	//Turn it into a UIImage object.
	UIImage *image = [UIImage imageWithData: data];
	if (image == nil) {
		NSLog(@"image is nil");
		return;
	}
	
	//upper left corner of image
	CGPoint p = CGPointMake(
		(self.bounds.size.width - image.size.width) / 2,
		(self.bounds.size.height - image.size.height) / 2
	);
	
	[image drawAtPoint: p];
}


- (void) dealloc {
	[url release];
    [super dealloc];
}


@end
